# About
TSMPIPE is a Tivoli Storage Manager client, that enables you to take data from STDIN and store that in TSM as a BACKUP or ARCHIVE object.

In its simplest form, you can
```cat myfile.ext | tsmpipe -c [MORE OPTIONS]```

Or, where an application supports "dumping" to STDOUT, you can pipe that dump into TSMPIPE.
```myappdump | tsmpipe -c [OPTIONS]```

Getting data back is the reverse
```tsmpipe -x [MORE OPTIONS] > myfile```

Or, back to your application
```tsmpipe -x [MORE OPTIONS] | myapp```

For help, use tsmpipe -h
To test that you can connect to TSM, use tsmpipe -i